Bug 503293 - (webkitkde) Review Request: webkitkde - QtWebKit bindings to KDE
Review Request: webkitkde - QtWebKit bindings to KDE
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
http://techbase.kde.org/Projects/WebKit
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-30 17:49 EDT by nucleo
Modified: 2009-10-13 21:49 EDT (History)
4 users (show)

See Also:
Fixed In Version: 0.0.1-0.2.20090924svn.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-13 21:44:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rdieter: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description nucleo 2009-05-30 17:49:11 EDT
Spec URL: 
http://nucleo.fedorapeople.org/pkg-reviews/webkitkde/webkitkde.spec

SRPM URL: 
http://nucleo.fedorapeople.org/pkg-reviews/webkitkde/webkitkde-0.0.1-0.1.20090530svn.fc11.src.rpm

Description:
This project aims to integrate WebKit (QtWebKit) into KDE.
The project is made up of the following components:
- WebKitKDE: The binding between KDE and QtWebKit
- WebKitPart: A KPart based on it

Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1385155
Comment 1 nucleo 2009-05-30 17:58:41 EDT
$ rpmlint webkitkde-0.0.1-0.1.20090530svn.fc11.src.rpm webkitkde-0.0.1-0.1.20090530svn.fc11.i586.rpm webkitkde-debuginfo-0.0.1-0.1.20090530svn.fc11.i586.rpm webkitkde-devel-0.0.1-0.1.20090530svn.fc11.i586.rpm webkitpart-0.0.1-0.1.20090530svn.fc11.i586.rpm webkitpart-devel-0.0.1-0.1.20090530svn.fc11.i586.rpm
6 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 2 nucleo 2009-05-30 19:45:40 EDT
New scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1385199
Comment 3 nucleo 2009-09-13 19:33:09 EDT
New Spec URL:
http://nucleo.fedorapeople.org/pkg-reviews/webkitkde/webkitkde.spec

New SRPM URL:
http://nucleo.fedorapeople.org/pkg-reviews/webkitkde/webkitkde-0.0.1-0.1.20090914svn.fc11.src.rpm

New scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1675784

$ rpmlint webkitkde-0.0.1-0.1.20090914svn.fc11.i586.rpm webkitkde-0.0.1-0.1.20090914svn.fc11.src.rpm webkitkde-debuginfo-0.0.1-0.1.20090914svn.fc11.i586.rpm webkitkde-devel-0.0.1-0.1.20090914svn.fc11.i586.rpm webkitpart-0.0.1-0.1.20090914svn.fc11.i586.rpm webkitpart-devel-0.0.1-0.1.20090914svn.fc11.i586.rpm
6 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 4 Rex Dieter 2009-09-24 12:38:58 EDT
I can take a look.
Comment 5 Rex Dieter 2009-09-24 16:15:00 EDT
$ rpmlint *.rpm x86_64/*.rpm
6 packages and 0 specfiles checked; 0 errors, 0 warnings.

Looks good, only a couple of very small nitpicks

1.  the locale files look like they belong in the main webkitkde pkg
2.  webkitkde-devel probabaly should
Requires: kdelibs4-devel
3.  %install could use
make install/fast ...
4.  leave out the 
"If WebKit does not show up in Konqueror, run 'kbuildsycoca4'.
comments, shouldn't be needed

But I won't consider any of these review blockers, but please address them prior to building.


Otherwise,
 
Source is documented
scriptlets good
macro usage consistent (could use %%_kde4_appsdir}
tested to function

APPROVED.
Comment 6 nucleo 2009-09-24 18:22:44 EDT
(In reply to comment #5)
I have made all changes 1-4 and use %{_kde4_appsdir} now.

Also I have build rpm with the latest svn snapshot that adds possibility to display SSL information.

New Spec URL:
http://nucleo.fedorapeople.org/pkg-reviews/webkitkde/webkitkde.spec

New SRPM URL:
http://nucleo.fedorapeople.org/pkg-reviews/webkitkde/webkitkde-0.0.1-0.1.20090924svn.fc11.src.rpm

rpmlint still shows 0 errors, 0 warnings

(In reply to comment #5)
> Source is documented
> scriptlets good
> macro usage consistent (could use %%_kde4_appsdir}
> tested to function
> 
> APPROVED.  

Thank you, Rex for review.


New Package CVS Request
=======================
Package Name: webkitkde
Short Description: QtWebKit bindings to KDE
Owners: nucleo rdieter
Branches: F-10 F-11
InitialCC:
Comment 7 Kevin Fenzi 2009-09-25 12:29:58 EDT
cvs done.
Comment 8 Fedora Update System 2009-09-25 13:36:22 EDT
webkitkde-0.0.1-0.1.20090924svn.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/webkitkde-0.0.1-0.1.20090924svn.fc10
Comment 9 Fedora Update System 2009-09-25 13:37:22 EDT
webkitkde-0.0.1-0.1.20090924svn.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/webkitkde-0.0.1-0.1.20090924svn.fc11
Comment 10 Fedora Update System 2009-09-27 13:54:09 EDT
webkitkde-0.0.1-0.2.20090924svn.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/webkitkde-0.0.1-0.2.20090924svn.fc10
Comment 11 Fedora Update System 2009-09-27 13:54:51 EDT
webkitkde-0.0.1-0.2.20090924svn.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/webkitkde-0.0.1-0.2.20090924svn.fc11
Comment 12 Fedora Update System 2009-09-29 10:23:49 EDT
webkitkde-0.0.1-0.2.20090924svn.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update webkitkde'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-9976
Comment 13 Fedora Update System 2009-09-29 10:36:32 EDT
webkitkde-0.0.1-0.2.20090924svn.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update webkitkde'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-10070
Comment 14 Fedora Update System 2009-10-13 21:43:58 EDT
webkitkde-0.0.1-0.2.20090924svn.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2009-10-13 21:49:43 EDT
webkitkde-0.0.1-0.2.20090924svn.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.